Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1260083 - Add support for MIPS architecture to gmp.h and gmp-mparam.h
Summary: Add support for MIPS architecture to gmp.h and gmp-mparam.h
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gmp
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Kaspar [Dee'Kej]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2015-09-04 11:59 UTC by Michal Toman
Modified: 2017-07-26 08:36 UTC (History)
2 users (show)

Fixed In Version: gmp-6.0.0-12.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-26 08:36:47 UTC


Attachments (Terms of Use)
Add-support-for-MIPS-architecture-to-gmph-and-gmp-mparamh.patch (deleted)
2015-09-04 11:59 UTC, Michal Toman
no flags Details

Description Michal Toman 2015-09-04 11:59:38 UTC
Created attachment 1070227 [details]
Add-support-for-MIPS-architecture-to-gmph-and-gmp-mparamh.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires to add support for mips, mipsel, mips64 and mips64el to gmp headers.

Actual results:
No MIPS support in current gmp.h and gmp-mparam.h

Expected results:
gmp works with MIPS

Additional info:
Attaching a dist-git patch. It would be great if this could also be applied to F23.

Comment 1 Frantisek Kluknavsky 2015-09-10 10:16:29 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=11031562

Comment 2 Fedora Update System 2015-09-11 16:19:07 UTC
gmp-6.0.0-12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15623

Comment 3 Fedora Update System 2015-09-12 21:25:26 UTC
gmp-6.0.0-12.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gmp'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15623

Comment 4 Fedora Update System 2015-09-21 10:50:06 UTC
gmp-6.0.0-12.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Jan Kurik 2016-02-24 13:43:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 6 Fedora Admin XMLRPC Client 2017-02-28 17:17:08 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora End Of Life 2017-07-25 19:14:51 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Kamil Dudka 2017-07-26 08:36:47 UTC
It looks like this bug was fixed 2 years ago.  See comment #4.


Note You need to log in before you can comment on or make changes to this bug.